<?php

class AitQuickCommentsMailChimp
{
    private $config, $list;



	public function __construct()
	{

	}



    public function setConfig($config)
    {
		$this->config = $config;
		$this->list = $this->config['list'];
	}



	public function getEndpointByApiKey($apiKey)
	{
		$dc = substr($apiKey, strrpos($apiKey, "-") + 1);
		return "https://{$dc}.api.mailchimp.com/3.0/";
	}



	public function getSubscriberHash($email)
	{
		return md5(strtolower($email));
	}



	public function request($method = 'get', $query, $data = array())
	{
		try {
            $url = $this->config['endpoint'].$query;

            $args = array(
                'method' => $method,
                'headers' => array(
                    'Content-Type' => 'application/json',
                    'Authorization' => 'Basic ' . base64_encode('apikey:'.$this->config['apiKey'])
                ),
                'body' => json_encode($data),
            );
			$response = wp_remote_request( $url, $args);

			return json_decode($response['body']);
		} catch (\Exception $e) {
            echo $e->getMessage();
		}
	}



	public function getLists()
	{
		return $this->request('get', "lists");
    }



    public function getInterestCategories()
    {
        return $this->request('get', "lists/{$this->list}/interest-categories");
    }



    public function getInterests($categoryID)
    {
        return $this->request('get', "lists/{$this->list}/interest-categories/{$categoryID}/interests");
    }



	public function getMembers()
	{
        return $this->request('get', "lists/{$this->list}/members");
	}



	public function addMember($user)
	{
		$member = $this->request('post', "lists/{$this->list}/members", array('email_address' => $user['email'], 'status' => $user['status']));
	}



    public function memberExists($email)
    {
        $memberHash = $this->getSubscriberHash($email);
        $member = $this->request('get', "lists/{$this->list}/members/{$memberHash}");
        if ($member->{'status'} == 404) {
            return false;
        }
        return $member;
    }



    public function updateMember($email, $data)
    {
        $memberHash = $this->getSubscriberHash($email);
		$member = $this->request('patch', "lists/{$this->list}/members/{$memberHash}", $data);
    }
}